"This version of Citrix Receiver does not support the selected encryption."

I am having and issue with Citrix Receiver on one of the system I manage. I get the error message "This version of Citrix Receiver does not support the selected encryption. Please contact your administrator."  I found several topics suggesting corrupted registry entries and to use the clean-up utility.  I have done all that. I finally resorted to re-imaging the system and starting from scratch. This worked for about and hour until the user restarted the machine.  I have several other systems with the exact same setup that don't have this issue.  Where is this coming from? Has anyone resolved this issue?
Chris HobgoodIT Consultant Asked:
Who is Participating?
 
David Johnson, CD, MVPOwnerCommented:
which version of citrix receiver? Receiver 4.12 for Windows is the latest version
0
 
Chris HobgoodIT Consultant Author Commented:
I have tried version 4.4.5000 (the version the hospital is using) all the way up to version 4.12. After the re-image I installed version 4.12.
0
 
Chris HobgoodIT Consultant Author Commented:
Also it's not related to the user account, Just this one PC.  and It worked fine on it until about a month ago.
They system is running Windows 10 version 1803 (suspect maybe?).
0
All Courses

From novice to tech pro — start learning today.